> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all projects with the Chainstack Platform API

> List all projects in your Chainstack organization using the Platform API. Send a GET request to /v1/projects/ to retrieve the paginated project list.



## OpenAPI

````yaml get /v1/projects/
openapi: 3.0.3
info:
  x-logo:
    url: https://chainstack.com/assets/docs/api-docs-logo.svg
    backgroundColor: '#F5F8FC'
    altText: Chainstack
  title: 💙 CHAINSTACK PLATFORM API
  version: v1
  contact:
    name: API Support
    email: support@chainstack.com
  description: >
    A set of API endpoints to operate and manage the platform resources.<br>

    See also a [quick API
    tutorial](https://docs.chainstack.com/reference/quick-tutorial).
servers:
  - url: https://api.chainstack.com
    description: API endpoint
security: []
paths:
  /v1/projects/:
    get:
      tags:
        - Project
      summary: List all Projects
      description: List all projects your organization is part of.
      operationId: listAllProjects
      parameters:
        - $ref: '#/components/parameters/ProjectOrdering'
        - $ref: '#/components/parameters/Pagination'
        - $ref: '#/components/parameters/OrganizationIdFilter'
        - $ref: '#/components/parameters/NameFilter'
        - $ref: '#/components/parameters/ProjectTypeFilter'
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Pagination'
                  - type: object
                    properties:
                      results:
                        type: array
                        items:
                          $ref: '#/components/schemas/Project'
              examples:
                list:
                  value:
                    count: 1
                    next: null
                    previous: null
                    results:
                      - id: PR-123-456
                        name: My public chain project
                        type: public
                        networks: 0
                        created_at: '2020-06-15T07:38:00.747Z'
                        creator:
                          id: UR-111-111-111
                          email: john.smith@example.com
                          first_name: John
                          last_name: Smith
                          organization:
                            id: RG-123-456
                            name: My organization
          description: ''
      security:
        - APIKeyAuthentication: []
components:
  parameters:
    ProjectOrdering:
      name: order_by
      required: false
      in: query
      description: |
        Which field to use when ordering the results.
        <br> Use the `-` prefix to perform descending ordering (`-name`).
      schema:
        type: string
        enum:
          - name
          - created_at
    Pagination:
      name: page
      required: false
      in: query
      description: A page number within the paginated result set.
      schema:
        type: integer
    OrganizationIdFilter:
      name: organization
      required: false
      in: query
      description: Filter by organization ID.
      schema:
        type: string
    NameFilter:
      name: name
      required: false
      in: query
      description: Filter by name.
      schema:
        type: string
    ProjectTypeFilter:
      name: type
      required: false
      in: query
      description: Filter by project type.
      schema:
        $ref: '#/components/schemas/ProjectTypeEnum'
  schemas:
    Pagination:
      type: object
      properties:
        count:
          type: integer
          example: 123
          description: Number of the objects in the paginated results.
        next:
          type: string
          nullable: true
          description: Link to the next page.
        previous:
          type: string
          nullable: true
          description: Link to the previous page.
        results:
          type: array
          items:
            type: object
    Project:
      allOf:
        - $ref: '#/components/schemas/BaseProject'
    ProjectTypeEnum:
      type: string
      description: |
        Type of the project.
        <br>
        * `public` for public chain project
      enum:
        - public
    BaseProject:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          description: Name of the project.
        description:
          type: string
          description: Description of the project.
        type:
          allOf:
            - $ref: '#/components/schemas/ProjectTypeEnum'
          default: public
        members:
          type: integer
          readOnly: true
          description: |
            Number of members invited to the consortium project.
            <br>Only for the `consortium` project.
        networks:
          type: integer
          readOnly: true
          description: Number of networks created in the project.
        creator:
          allOf:
            - $ref: '#/components/schemas/Creator'
          readOnly: true
          description: Creator of the project.
        created_at:
          allOf:
            - $ref: '#/components/schemas/CreatedAt'
          description: When the project was created.
    Creator:
      type: object
      description: Creator of the object.
      readOnly: true
      properties:
        id:
          type: string
          readOnly: true
        email:
          type: string
          format: email
          readOnly: true
        first_name:
          type: string
          readOnly: true
        last_name:
          type: string
          readOnly: true
        organization:
          allOf:
            - $ref: '#/components/schemas/Object'
          description: Creator's organization.
    CreatedAt:
      type: string
      format: date-time
      readOnly: true
      description: When the object was created.
    Object:
      type: object
      description: Common object representation.
      readOnly: true
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          readOnly: true
  securitySchemes:
    APIKeyAuthentication:
      type: http
      scheme: bearer
      description: >
        Chainstack API uses [API
        keys](https://docs.chainstack.com/reference/platform-api-getting-started)
        to authenticate requests. You can view and manage your API keys in the
        platform UI.

        Your API keys carry many privileges, so be sure to keep them secure!

        Provide your API key as the `Authorization` header. The value of the
        header consists of `Bearer` prefix and secret key generated through the
        platform UI.


        ```bash

        curl -X GET 'https://api.chainstack.com/v1/organization/' \

        --header 'Authorization: Bearer
        FX7CWlLg.FMpAO8cgCX2N7s41EncRru2nb5CmTZUt'

        ```


        All API requests must be made over HTTPS.

````